summaryrefslogtreecommitdiff
path: root/qa/731
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/731
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/731')
-rwxr-xr-xqa/73151
1 files changed, 51 insertions, 0 deletions
diff --git a/qa/731 b/qa/731
new file mode 100755
index 0000000..fc1a331
--- /dev/null
+++ b/qa/731
@@ -0,0 +1,51 @@
+#!/bin/sh
+# PCP QA Test No. 731
+# Valgrind access checking for the Linux cgroups metrics
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+[ $PCP_PLATFORM = linux ] || _notrun "cgroups test, only works with Linux"
+_check_valgrind
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed -e \
+ "s,$PCP_PMDAS_DIR/,,g" \
+ # end
+}
+
+# real QA test starts here
+root=$tmp.root
+export PROC_STATSPATH=$root
+pmda=$PCP_PMDAS_DIR/proc/pmda_proc.so,proc_init
+
+for tgz in $here/linux/cgroups-*.tgz
+do
+ rm -fr $root
+ mkdir $root || _fail "root in use when processing $tgz"
+ cd $root
+ tar xzf $tgz
+ base=`basename $tgz`
+
+ echo "== Running valgrind for cgroup fetch - $base"
+ cd $here
+ _run_valgrind pminfo -L -K clear -K add,3,$pmda -d -f cgroup 2>&1 | _filter
+ echo && echo "== done" && echo
+done
+
+# success, all done
+status=0
+exit